# coding: utf-8

require 'spec_helper'

describe Turn::Term do
  let(:hostname) { 'hostname' }
  let(:port) { 'port' }
  subject { described_class.new(hostname, port) }

  describe '#dump_bucket_map' do
    let(:info) { %w[foo] }
    let(:json) { { 'errors' => [], 'info' => info } }

    it 'should dump bucket map for a dc' do
      expect(subject).to receive(:get).with('dump profile bucket map', dc: 'dc').and_return(json)

      expect(subject.dump_bucket_map('dc')).to eq(info)
    end
  end
end
