# coding: utf-8

require 'spec_helper'

describe Turn::Term do
  let(:hostname) { 'prof034.ams1.turn.com' }
  let(:port) { '4700' }
  subject { described_class.new(hostname, port) }

  describe '#dump_bucket_map' do
    it 'should dump bucket map for a dc' do
      expect(subject.dump_bucket_map('ams1')).to be_a(Array)
    end
  end

  describe '#dump_public_metrics' do
    it 'should dump public metrics' do
      expect(subject.dump_public_metrics('KeyValueStorePopulation')).to be_a(Hash)
    end
  end
end
