# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'turn/version'

Gem::Specification.new do |spec|
  spec.name          = 'tops-turn'
  spec.version       = Turn::VERSION
  spec.authors       = ['Martin Englund']
  spec.email         = %w[menglund@turn.com]
  spec.description   = %q{Gem to interact with the Turn terminal}
  spec.summary       = %q{Gem to interact with the Turn terminal}
  spec.homepage      = 'http://turn.com'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($RS)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w(lib)

  spec.add_dependency 'rest_client'
  spec.add_dependency 'tops-overlord'
end
